io.milvus.v2.service

## Class BaseService

- java.lang.Object
- - io.milvus.v2.service.BaseService

Direct Known Subclasses:
  CollectionService, DatabaseService, IndexService, PartitionService, RoleService, UserService, UtilityService, VectorService

    public class BaseService
    extends java.lang.Object

### Field Summary

Fields
`ConvertUtils` `convertUtils`
`DataUtils` `dataUtils`
`RpcUtils` `rpcUtils`
`VectorUtils` `vectorUtils`

### Constructor Summary

Constructors
Constructor and Description
`BaseService()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rpcUtils

    public RpcUtils rpcUtils

#### dataUtils

    public DataUtils dataUtils

#### vectorUtils

    public VectorUtils vectorUtils

#### convertUtils

    public ConvertUtils convertUtils

### Constructor Detail

#### BaseService

    public BaseService()